Bug 139057 - sysutils/conky: build error when WITH_BMPX is used
Summary: sysutils/conky: build error when WITH_BMPX is used
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-09-22 13:20 UTC by Herbert J. Skuhra
Modified: 2009-11-20 16:20 UTC (History)
0 users

See Also:


Attachments
file.diff (385 bytes, patch)
2009-09-22 13:20 UTC, Herbert J. Skuhra
no flags Details | Diff
conky.diff (3.09 KB, patch)
2009-09-23 20:49 UTC, Nikos Ntarmos
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Herbert J. Skuhra 2009-09-22 13:20:01 UTC
sysutils/conky does not build when WITH_BMPX is defined:

In file included from bmpx.c:30:
conky.h:69:18: error: bmpx.h: No such file or directory
In file included from bmpx.c:30:
conky.h:285: error: field 'bmpx' has incomplete type
bmpx.c: In function 'update_bmpx':
bmpx.c:65: error: 'BMP_DBUS_PATH' undeclared (first use in this function)
bmpx.c:65: error: (Each undeclared identifier is reported only once
bmpx.c:65: error: for each function it appears in.)
bmpx.c:65: error: 'BMP_DBUS_INTERFACE' undeclared (first use in this function)
bmpx.c: In function 'fail':
bmpx.c:129: error: 'current_info' undeclared (first use in this function)
gmake[2]: *** [conky-bmpx.o] Error 1
gmake[2]: Leaving directory `/usr/ports/sysutils/conky/work/conky-1.7.2/src'
gmake[1]: *** [all] Error 2
gmake[1]: Leaving directory `/usr/ports/sysutils/conky/work/conky-1.7.2/src'
gmake: *** [all-recursive] Error 1
*** Error code 1
 
Stop in /usr/ports/sysutils/conky.
*** Error code 1

Stop in /usr/ports/sysutils/conky.

Fix: No idea. I've tried to add the file "bmpx.h" from the project's git repo but the build still breaks with almost the same error.

So for now mark IGNORE, when WITH_BMPX is defined.

Patch attached with submission follows:
How-To-Repeat: cd /usr/ports/sysutils/conky
make -DWITH_BMPX
Comment 1 Edwin Groothuis freebsd_committer 2009-09-22 13:20:09 UTC
Maintainer of sysutils/conky,

Please note that PR ports/139057 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/139057

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2009-09-22 13:20:11 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Nikos Ntarmos 2009-09-23 20:49:30 UTC
This is weird... I've attached a patch with a temporary fix, also
bumping portrevision. It allows conky to compile with bmpx support and
seems to do the Right Thing (TM). However, it seems that bmpx is also
borked at the moment (bug #463 on bmpx bug tracker) so I can't properly
test this patch right now.
Comment 4 Martin Wilke freebsd_committer 2009-10-18 12:04:20 UTC
State Changed
From-To: feedback->open

Maintainer has fixed.
Comment 5 Martin Wilke freebsd_committer 2009-10-18 12:04:28 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 6 Martin Wilke freebsd_committer 2009-10-18 12:04:54 UTC
State Changed
From-To: open->feedback

Nikos could you please resend the patch as attachment thx.
Comment 7 dfilter service freebsd_committer 2009-11-20 16:14:22 UTC
miwi        2009-11-20 16:14:12 UTC

  FreeBSD ports repository

  Modified files:
    sysutils/conky       Makefile 
  Added files:
    sysutils/conky/files patch-src-bmpx.c patch-src-bmpx.h 
  Log:
  - Fix build with BMPX
  
  PR:             139057
  Submitted by:   Nikos Ntarmos <ntarmos@cs.uoi.gr> (maintainer)
  
  Revision  Changes    Path
  1.48      +1 -0      ports/sysutils/conky/Makefile
  1.1       +60 -0     ports/sysutils/conky/files/patch-src-bmpx.c (new)
  1.1       +42 -0     ports/sysutils/conky/files/patch-src-bmpx.h (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 8 Martin Wilke freebsd_committer 2009-11-20 16:14:30 UTC
State Changed
From-To: feedback->closed

really sorry for the long wait time, patches now committed.